MARCO(1)

NAME
Marco - The MATE Window Manager

SYNOPSIS
marco [OPTIONS]

DESCRIPTION
Marco is a minimal X window manager that uses GTK+ for drawing window frames. It is aimed at non-technical users and is designed to integrate well with the MATE desktop. Marco is a plain window manager for the adult in you; Many window managers are like Marshmallow Froot Loops, Marco is like Cheerios. It lacks some features that may be expected by traditional UNIX or other technical users; these users may want to investigate other available window managers for use with MATE or as a standalone window manager.

Marco supports several somewhat advanced but common features such as Window Shading/Roll-Up, Window/Edge Snapping, Vertical and Horizontal Maximize, Always-On-Top, Sloppy/Mouse Focus and Raising, and many more... Well, not a lot, but some more.

This manual page documents the marco command.

OPTIONS

-d, --display=DISPLAY
    X display to use.

--sync
    Make X calls synchronous.

--replace
    Replace the currently running window manager with Marco.

--sm-disable
    Disable the connection to the session manager.

--sm-client-id=ID
    Specify a session management ID.

--sm-save-file=FILENAME
    Restore from a session management savefile.
    If no path is specified marco will look in ~/.config/mate-session/saved-session/

-c, --composite
    Turn compositing ON. You may also use this option to start marco with composite "true transparency" effects.

--no-composite
    Turn compositing OFF. You may also use this option to start marco without compositing effects.

--no-force-fullscreen
    Do not create fullscreen windows without decorations.

--no-keybindings
    Have all keybindings disabled on startup.

--version
    Print current version information and exit.

-?, -h, --help
    Print standard command line options.

CONFIGURATION
Marco configuration can be found via the main MATE menus, under "System->Preferences->Windows" and "System->Preferences->Keyboard Shortcuts" or by running the commands mate-window-properties and mate-keybinding-properties respectively. Advanced configuration can also be achieved directly, via dconf-editor under "/org/mate/marco/".

BUGS

  Should you encounter any bugs, they may be reported at:
http://github.com/mate-desktop/marco/issues

AUTHORS

  This Man Page has been updated/re-written for the MATE Desktop Environment by:
Adam Erdman <hekel@archlinux.info> (2014)

HISTORY

  Portions of this manual page were originally written by Luke Morton and Philip O'Brien (2006) for Metacity, but do not bear resemblance to preceding documentation.

SEE ALSO

  Further information may also be available at: http://wiki.mate-desktop.org/docs

marco-message(1), marco-theme-viewer(1), marco-window-demo(1)